## Name

clisp-link — link a new external module to CLISP.

## Synopsis

`clisp-link` [`create`] [``module``] [``file``...]

`clisp-link` [`add`] [``source``] [``destination``] [``module``...]

`clisp-link` [`run`] [``source``] [``module``...]

## Description

This shell script operates on CLISP module sets and linking sets:

- `create`s new module sets out of source files
- `add`s module sets to a linking set to produce a new linking set
- `run`s CLISP with module sets added

## Options

`create`

  The command

      $ clisp-link create module file ...

  creates a module set in `module` directory which refers (via symbolic links) to files `file`... The files are expected to be modules of their own.

`add`

  The command

      $ clisp-link add source destination module ...

  combines the linking set in directory `source` and the modules in directories `module`... to a new linking set, in the directory `destination` which is newly created.

`run`

  The command

      $ clisp-link run source module ...

  runs the linking set in directory `source`, with the modules in directories `module`... Unless CLISP has been built with the configuration option `--without-dynamic-modules`, the loading will be performed using `SYS::DYNLOAD-MODULES`. Otherwise - this is much slower - a temporary linking set will be created and deleted afterwards.

## Examples

See Section 32.2.6, “Example”.

## Files

clisp-link needs a “link kit” directory containing:

- `"modules.c"`
- `"clisp.h"`

clisp-link expects to find these files in a subdirectory `linkkit/` of the installation directory (i.e., `CUSTOM:*LIB-DIRECTORY*`) which it acquires by running

    $ `dirname $0`/clisp -b

This can be overridden by the environment variable `CLISP_LINKKIT`.

## See also

CLISP impnotes
clisp(1)

| clisp-link version 2.49 | Platform: x86_64-unknown-openbsd7.8 | Last modified: 2010-07-07

Enter your search termsSubmit search form
Webclisp.cons.orgclisp.podval.orgwww.lisp.org